Package org.eclipse.graphiti.func

## Interface IAdd

All Known Subinterfaces:
  `IAddFeature`, `IConnectionPattern`, `IPattern`

All Known Implementing Classes:
  `AbstractAddFeature`, `AbstractAddPictogramElementFeature`, `AbstractAddShapeFeature`, `AbstractConnectionPattern`, `AbstractPattern`, `AddFeatureForPattern`, `IdPattern`, `TypedPattern`

    public interface IAdd

The Interface IAdd.

### Method Summary

All Methods Instance Methods Abstract Methods
`PictogramElement` `add​(IAddContext context)` Executes the add.
`boolean` `canAdd​(IAddContext context)` Checks, if the add can be executed.

### Method Detail

#### canAdd

    boolean canAdd​(IAddContext context)

Checks, if the add can be executed.

Parameters:
  `context` - the context needed to execute the add
Returns:
  true, if the add can be executed

#### add

    PictogramElement add​(IAddContext context)

Executes the add.

Parameters:
  `context` - the context needed to execute the add
Returns:
  the added pictogram element